Skip to main content
DELETE
/
rfqs
/
cancel-offer
/
{rfqUid}
Cancel open offer on open RFQ
curl --request DELETE \
  --url https://demo-futures.kraken.com/derivatives/api/v3/rfqs/cancel-offer/{rfqUid} \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>'
import requests

url = "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/cancel-offer/{rfqUid}"

headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};

fetch('https://demo-futures.kraken.com/derivatives/api/v3/rfqs/cancel-offer/{rfqUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/cancel-offer/{rfqUid}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "result": "success",
  "serverTime": "2023-11-07T05:31:56Z"
}
{
"result": "error",
"serverTime": "2020-08-27T17:03:33.196Z",
"errors": []
}

Authorizations

APIKey
string
header
required

General API key with full access

Authent
string
header
required

Authentication string

Path Parameters

rfqUid
string<uuid>
required

Unique identifier for the RFQ

Query Parameters

offerUid
string<uuid>

Unique identifier for the offer to cancel

Response

result
enum<string>
required
Available options:
success
serverTime
string<date-time>
required